Page MenuHomePhabricator

Restore display of number of conditions used by filter on the filter's page, gated by new config variable $wgAbuseFilterProfile
Closed, ResolvedPublic

Description

We should make it possible to restore display of number of conditions used by filter on the filter's page. This is very useful for debugging filters (especially if they're hitting the condition limit, see T129171 and T132048). It was removed in rEABFafb78deb84e909459fd4e1b5228c4255e956bed6. To avoid performance issues, this would be gated by new config variable $wgAbuseFilterProfile, which would only be turned on temporarily when a wiki actually runs into the limit.

Details

Related Gerrit Patches:
mediawiki/extensions/AbuseFilter : masterAdd $wgAbuseFilterProfile to enable filter profiling
mediawiki/extensions/AbuseFilter : masterRevert "Removed filter profiling using $wgMemc"

Event Timeline

matmarex created this task.Apr 8 2016, 4:16 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 8 2016, 4:16 PM

This is a duplicate but I can't seem to find it now. See also https://gerrit.wikimedia.org/r/#/c/201104/ (now very outdated) which attempts to fix this and comments at T101648

Hmm, interesting. I'll look at these patches. But I've already written some code, and I think my partial solution is going to be easier to get deployed soon (and I want to use it to debug some filters in production for T132048). Reverting https://gerrit.wikimedia.org/r/#/c/211951/ will also probably make it easier to rebase https://gerrit.wikimedia.org/r/#/c/201104/ :D

Change 282386 had a related patch set uploaded (by Bartosz Dziewoński):
Revert "Removed filter profiling using $wgMemc"

https://gerrit.wikimedia.org/r/282386

Change 282387 had a related patch set uploaded (by Bartosz Dziewoński):
Add $wgAbuseFilterProfile to enable filter profiling

https://gerrit.wikimedia.org/r/282387

matmarex triaged this task as High priority.Apr 8 2016, 6:09 PM
matmarex added a subscriber: aaron.
matmarex renamed this task from Restore display of number of conditions used by filter on the filter's page to Restore display of number of conditions used by filter on the filter's page, gated by new config variable $wgAbuseFilterProfile.Apr 8 2016, 6:12 PM
matmarex updated the task description. (Show Details)
Dalba awarded a token.Apr 9 2016, 7:26 AM
Dalba added a subscriber: Dalba.
He7d3r added a subscriber: He7d3r.

Change 282386 merged by jenkins-bot:
Revert "Removed filter profiling using $wgMemc"

https://gerrit.wikimedia.org/r/282386

Change 282387 merged by jenkins-bot:
Add $wgAbuseFilterProfile to enable filter profiling

https://gerrit.wikimedia.org/r/282387

matmarex closed this task as Resolved.Apr 11 2016, 1:11 PM
matmarex removed a project: Patch-For-Review.

The feature can now be re-enabled by setting $wgAbuseFilterProfile = true (documented at https://www.mediawiki.org/wiki/Extension:AbuseFilter). It's disabled by default (and for all Wikimedia wikis). The idea is that if a wiki runs into the condition limit, we can enable it for a while, optimize some expensive filters and disable it again – I'll be trying that for Commons per T132200.